//
//  SCAdVariants.h
//  SCMobileSDK
//
//  Copyright © 2018 smartclip Holding AG. All rights reserved.
//

#import <Foundation/Foundation.h>

/// This class holds an opener, closer and/or prebumper for any video.
@interface SCAdVariants : NSObject
/**
 Initialize a Variant object

 - Parameter opener: url of video played before the advertisement
 - Parameter closer: url of video played after the advertisement
 - Parameter prebumper: url of video played in between advertising clips
 */
- (id)initWithOpener:(NSString*)opener closer:(NSString*)closer prebumper:(NSString*)prebumper;

/**
 Used to build a Variant request from your Variant configuration object.
 pass Url that your Variant info should be combined with

 - Parameter adUrl: The url you want o decorate with opener, closer or prebumber info
 */
- (NSString*)getVariantRequestWith:(NSString*)adURL;
@end
